json-c: Data Fields

Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - a -

- array_list : json_object.h
- array_list_add() : arraylist.h
- ARRAY_LIST_DEFAULT_SIZE : arraylist.h
- array_list_free() : arraylist.h
- array_list_free_fn : arraylist.h
- array_list_get_idx() : arraylist.h
- array_list_length() : arraylist.h
- array_list_new() : arraylist.h
- array_list_put_idx() : arraylist.h

### - b -

- boolean : json_object.h

### - e -

- error_ptr : bits.h

### - f -

- FALSE : json_object.h

### - h -

- HAVE_DLFCN_H : config.h
- HAVE_FCNTL_H : config.h
- HAVE_INTTYPES_H : config.h
- HAVE_LIMITS_H : config.h
- HAVE_MALLOC : config.h
- HAVE_MEMORY_H : config.h
- HAVE_OPEN : config.h
- HAVE_REALLOC : config.h
- HAVE_STDARG_H : config.h
- HAVE_STDINT_H : config.h
- HAVE_STDLIB_H : config.h
- HAVE_STRERROR : config.h
- HAVE_STRING_H : config.h
- HAVE_STRINGS_H : config.h
- HAVE_STRNCASECMP : config.h
- HAVE_STRNDUP : config.h
- HAVE_SYS_PARAM_H : config.h
- HAVE_SYS_STAT_H : config.h
- HAVE_SYS_TYPES_H : config.h
- HAVE_SYSLOG_H : config.h
- HAVE_UNISTD_H : config.h
- HAVE_VASPRINTF : config.h
- HAVE_VPRINTF : config.h
- HAVE_VSNPRINTF : config.h
- HAVE_VSYSLOG : config.h
- hexdigit : bits.h

### - i -

- is_error : bits.h

### - j -

- JSON_FILE_BUF_SIZE : json_util.h
- json_hex_chars : json_object.h
- json_max : bits.h
- json_min : bits.h
- json_number_chars : json_object.h
- json_object : json_object.h
- json_object_array_add() : json_object.h
- json_object_array_get_idx() : json_object.h
- json_object_array_length() : json_object.h
- json_object_array_put_idx() : json_object.h
- JSON_OBJECT_DEF_HASH_ENTRIES : json_object.h
- json_object_delete_fn : json_object_private.h
- json_object_from_file() : json_util.h
- json_object_get() : json_object.h
- json_object_get_array() : json_object.h
- json_object_get_boolean() : json_object.h
- json_object_get_double() : json_object.h
- json_object_get_int() : json_object.h
- json_object_get_object() : json_object.h
- json_object_get_string() : json_object.h
- json_object_get_type() : json_object.h
- json_object_is_type() : json_object.h
- json_object_iter : json_object.h
- json_object_new_array() : json_object.h
- json_object_new_boolean() : json_object.h
- json_object_new_double() : json_object.h
- json_object_new_int() : json_object.h
- json_object_new_object() : json_object.h
- json_object_new_string() : json_object.h
- json_object_new_string_len() : json_object.h
- json_object_object_add() : json_object.h
- json_object_object_del() : json_object.h
- json_object_object_foreach : json_object.h
- json_object_object_foreachC : json_object.h
- json_object_object_get() : json_object.h
- json_object_put() : json_object.h
- json_object_to_file() : json_util.h
- json_object_to_json_string() : json_object.h
- json_object_to_json_string_fn : json_object_private.h
- json_tokener : json_object.h
- json_tokener_continue : json_tokener.h
- json_tokener_error : json_tokener.h
- json_tokener_error_depth : json_tokener.h
- json_tokener_error_parse_array : json_tokener.h
- json_tokener_error_parse_boolean : json_tokener.h
- json_tokener_error_parse_comment : json_tokener.h
- json_tokener_error_parse_eof : json_tokener.h
- json_tokener_error_parse_null : json_tokener.h
- json_tokener_error_parse_number : json_tokener.h
- json_tokener_error_parse_object_key_name : json_tokener.h
- json_tokener_error_parse_object_key_sep : json_tokener.h
- json_tokener_error_parse_object_value_sep : json_tokener.h
- json_tokener_error_parse_string : json_tokener.h
- json_tokener_error_parse_unexpected : json_tokener.h
- json_tokener_errors : json_tokener.h
- json_tokener_free() : json_tokener.h
- JSON_TOKENER_MAX_DEPTH : json_tokener.h
- json_tokener_new() : json_tokener.h
- json_tokener_parse() : json_tokener.h
- json_tokener_parse_ex() : json_tokener.h
- json_tokener_reset() : json_tokener.h
- json_tokener_state : json_tokener.h
- json_tokener_state_array : json_tokener.h
- json_tokener_state_array_add : json_tokener.h
- json_tokener_state_array_sep : json_tokener.h
- json_tokener_state_boolean : json_tokener.h
- json_tokener_state_comment : json_tokener.h
- json_tokener_state_comment_end : json_tokener.h
- json_tokener_state_comment_eol : json_tokener.h
- json_tokener_state_comment_start : json_tokener.h
- json_tokener_state_eatws : json_tokener.h
- json_tokener_state_escape_unicode : json_tokener.h
- json_tokener_state_finish : json_tokener.h
- json_tokener_state_null : json_tokener.h
- json_tokener_state_number : json_tokener.h
- json_tokener_state_object_field : json_tokener.h
- json_tokener_state_object_field_end : json_tokener.h
- json_tokener_state_object_field_start : json_tokener.h
- json_tokener_state_object_sep : json_tokener.h
- json_tokener_state_object_value : json_tokener.h
- json_tokener_state_object_value_add : json_tokener.h
- json_tokener_state_start : json_tokener.h
- json_tokener_state_string : json_tokener.h
- json_tokener_state_string_escape : json_tokener.h
- json_tokener_success : json_tokener.h
- json_type : json_object.h
- json_type_array : json_object.h
- json_type_boolean : json_object.h
- json_type_double : json_object.h
- json_type_int : json_object.h
- json_type_null : json_object.h
- json_type_object : json_object.h
- json_type_string : json_object.h

### - l -

- lh_abort() : linkhash.h
- lh_char_equal() : linkhash.h
- lh_char_hash() : linkhash.h
- LH_EMPTY : linkhash.h
- lh_entry_free_fn : linkhash.h
- lh_equal_fn : linkhash.h
- lh_foreach : linkhash.h
- lh_foreach_safe : linkhash.h
- LH_FREED : linkhash.h
- lh_hash_fn : linkhash.h
- lh_kchar_table_new() : linkhash.h
- lh_kptr_table_new() : linkhash.h
- LH_PRIME : linkhash.h
- lh_ptr_equal() : linkhash.h
- lh_ptr_hash() : linkhash.h
- lh_table : json_object.h
- lh_table_delete() : linkhash.h
- lh_table_delete_entry() : linkhash.h
- lh_table_free() : linkhash.h
- lh_table_insert() : linkhash.h
- lh_table_lookup() : linkhash.h
- lh_table_lookup_entry() : linkhash.h
- lh_table_new() : linkhash.h
- lh_table_resize() : linkhash.h
- LT_OBJDIR : config.h

### - m -

- mc_abort() : debug.h
- MC_ABORT : debug.h
- mc_debug() : debug.h
- MC_DEBUG : debug.h
- MC_ERROR : debug.h
- mc_error() : debug.h
- mc_get_debug() : debug.h
- MC_GET_DEBUG : debug.h
- mc_info() : debug.h
- MC_INFO : debug.h
- MC_SET_DEBUG : debug.h
- mc_set_debug() : debug.h
- MC_SET_SYSLOG : debug.h
- mc_set_syslog() : debug.h

### - p -

- PACKAGE : config.h
- PACKAGE_BUGREPORT : config.h
- PACKAGE_NAME : config.h
- PACKAGE_STRING : config.h
- PACKAGE_TARNAME : config.h
- PACKAGE_VERSION : config.h
- printbuf : json_object.h
- printbuf_free() : printbuf.h
- printbuf_memappend() : printbuf.h
- printbuf_memappend_fast : printbuf.h
- printbuf_new() : printbuf.h
- printbuf_reset() : printbuf.h

### - s -

- sprintbuf() : printbuf.h
- STDC_HEADERS : config.h

### - t -

- TRUE : json_object.h

### - v -

- VERSION : config.h